net.minecraft.network.packet

## Class Packet60Explosion

- java.lang.Object
- - net.minecraft.network.packet.Packet
  - - net.minecraft.network.packet.Packet60Explosion

-     public class Packet60Explosion
      extends Packet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List` | `chunkPositionRecords`
    `float` | `explosionSize`
    `double` | `explosionX`
    `double` | `explosionY`
    `double` | `explosionZ`

    - ### Fields inherited from class net.minecraft.network.packet.Packet

      `creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Packet60Explosion()`
    `Packet60Explosion(double par1, double par3, double par5, float par7, List par8List, Vec3 par9Vec3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPacketSize()` Abstract.
    `float` | `getPlayerVelocityX()`
    `float` | `getPlayerVelocityY()`
    `float` | `getPlayerVelocityZ()`
    `void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
    `void` | `readPacketData(DataInput par1DataInput)` Abstract.
    `void` | `writePacketData(DataOutput par1DataOutput)` Abstract.

    - ### Methods inherited from class net.minecraft.network.packet.Packet

      `addIdClassMapping, canProcessAsync, containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### explosionX

          public double explosionX

    - #### explosionY

          public double explosionY

    - #### explosionZ

          public double explosionZ

    - #### explosionSize

          public float explosionSize

    - #### chunkPositionRecords

          public List chunkPositionRecords

  - ### Constructor Detail

    - #### Packet60Explosion

          public Packet60Explosion()

    - #### Packet60Explosion

          public Packet60Explosion(double par1,
                           double par3,
                           double par5,
                           float par7,
                           List par8List,
                           Vec3 par9Vec3)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(DataInput par1DataInput)
                              throws IOException

      Abstract. Reads the raw packet data from the data stream.
      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `IOException`

    - #### writePacketData

          public void writePacketData(DataOutput par1DataOutput)
                               throws IOException

      Abstract. Writes the raw packet data to the data stream.
      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `IOException`

    - #### processPacket

          public void processPacket(NetHandler par1NetHandler)

      Passes this Packet on to the NetHandler for processing.
      Specified by:
        `processPacket` in class `Packet`

    - #### getPacketSize

          public int getPacketSize()

      Abstract. Return the size of the packet (not counting the header).
      Specified by:
        `getPacketSize` in class `Packet`

    - #### getPlayerVelocityX

          public float getPlayerVelocityX()

    - #### getPlayerVelocityY

          public float getPlayerVelocityY()

    - #### getPlayerVelocityZ

          public float getPlayerVelocityZ()